package cokr.xit.ens.biz.traffic.cheonan.signtalk.domain.repository;

import cokr.xit.ens.biz.traffic.cheonan.signtalk.domain.TcaElctrnNticSndng;
import cokr.xit.ens.biz.traffic.cheonan.signtalk.domain.TcaElctrnNticSndngDetail;

import java.util.List;
import java.util.Optional;

public interface TcaElctrnNticSndngDetailRepositoryCustom {


    List<TcaElctrnNticSndngDetail> findAllDecByElctrnNticSndng(TcaElctrnNticSndng elctrnNticSndng);


    List<TcaElctrnNticSndngDetail> findAllFetchByElctrnNticSndngId(String elctrnNticSndngId);

    Optional<Long> findLastSendMastIdByElctrnNticSndngId(String elctrnNticSndngId);

    String findIhidnumDecByElctrnNticSndngDetailId(String elctrnNticSndngDetailId);
}
